Skip to main content
GET
List Policies

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Query Parameters

search
string | null

Search by policy ID, name, description, or support contact

status
string[] | null

Filter by status values

mcp_server_id
string[] | null

Filter by MCP server IDs

agent_id
string[] | null

Filter by agent/application IDs

sort_by
enum<string> | null

Column to sort by

Available options:
name,
mcp_server_name,
status,
updated_at
sort_order
enum<string> | null

Sort direction

Available options:
asc,
desc
has_impacts
boolean | null

Filter to non-archived policies with at least one open or acknowledged policy impact (true), or the complement (false)

page
integer
default:1

Page number (1-based)

Required range: x >= 1
limit
integer
default:10

Number of items per page (max 100)

Required range: 1 <= x <= 100

Response

Successful Response

data
PolicySummary Ā· object[]
required

Array of items for current page

pagination
PaginationMeta Ā· object
required

Pagination metadata